from odoo import api, fields, models, _
from datetime import date, datetime, timedelta
from odoo.exceptions import UserError, ValidationError


class HrRecruitment(models.Model):
    _inherit = "hr.job"

    account_manager = fields.Many2one("hr.employee", string="Account Manager")
    recruiter_name = fields.Many2one("hr.employee", string="Recruiter assignee")
    no_of_position = fields.Integer(string="Number of positions")
    status = fields.Selection([('in progress', 'In progress'), ('inactive', 'Inactive')],
                              string="Status")
    type_ids = fields.Selection([('fte', 'FTE'), ('tpc', 'TPC')], string="Type")
    work_experience = fields.Integer(string="Work Experience(Years)")
    skills = fields.Char(string="Skills")
    attachment_ids = fields.One2many('ir.attachment', 'res_id', string="Attachment")
    rate = fields.Integer(string="Rate", default=0)
    city = fields.Char(string="City")
    country_id = fields.Many2one('res.country', string="Country")
    zip_code = fields.Char(string="Zip Code")

    user_id = fields.Many2one('res.users', string='User', default=lambda self: self.env.user.id)

